use Project2007DemoDB_Published
GO
-- EXEC [MSP_WEB_SP_QRY_DeleteTimesheet] 'A296EA05-D592-4958-8BB8-2E913CFDD0AA'

SELECT R.RES_NAME,R.RES_UID,TS_TOTAL_ACT_VALUE/60/1000,TS.CREATED_DATE,TS_STATUS_ENUM,TS.*,R.*
FROM MSP_TIMESHEETS AS TS
INNER JOIN MSP_RESOURCES AS R
ON TS.RES_UID=R.RES_UID
ORDER BY R.RES_NAME, TS.CREATED_DATE DESC

SELECT COUNT(*)
FROM MSP_TIMESHEETS AS TS
WHERE TS_TOTAL_ACT_VALUE/60/1000 <> 40.0

SELECT COUNT(*)
FROM MSP_TIMESHEETS AS TS
WHERE TS_TOTAL_ACT_VALUE/60/1000 = 40.0

-- TS in Progress
SELECT R.RES_NAME,R.RES_UID,TS_TOTAL_ACT_VALUE/60/1000,TS.CREATED_DATE,TS_STATUS_ENUM,TS.*,R.*
FROM MSP_TIMESHEETS AS TS
INNER JOIN MSP_RESOURCES AS R
ON TS.RES_UID=R.RES_UID
WHERE TS_STATUS_ENUM=0
ORDER BY R.RES_NAME, TS.CREATED_DATE DESC


USE Project2007DemoDB_Reporting
GO
-- EXEC MSP_TS_DeleteAllData

DECLARE @TSUID uniqueidentifier
SET @TSUID='8039D061-D5C3-4988-AEA3-D933073F7F59'

EXEC MSP_TS_GetReportingTimesheetData @TSUID
EXEC MSP_TS_GetReportingTimesheetActualData @TSUID
EXEC MSP_TS_GetReportingAllTimesheetLinesData @TSUID

